org.glassfish.jersey.server.monitoring

## Enum RequestEvent.ExceptionCause

- java.lang.Object
- - java.lang.Enum<RequestEvent.ExceptionCause>
  - - org.glassfish.jersey.server.monitoring.RequestEvent.ExceptionCause

All Implemented Interfaces:
  Serializable, Comparable<RequestEvent.ExceptionCause>

Enclosing interface:
  RequestEvent

    public static enum RequestEvent.ExceptionCause
    extends Enum<RequestEvent.ExceptionCause>

Describes the origin of the exception.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`MAPPED_RESPONSE` An exception was thrown during the processing of response mapped from `exception mappers`.
`ORIGINAL` An exception was thrown during the standard request and response processing and was not thrown from processing of mapped response.

### Method Summary

All Methods Static Methods Concrete Methods
`static RequestEvent.ExceptionCause` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RequestEvent.ExceptionCause[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ORIGINAL

    public static final RequestEvent.ExceptionCause ORIGINAL

An exception was thrown during the standard request and response processing and was not thrown from processing of mapped response.

#### MAPPED_RESPONSE

    public static final RequestEvent.ExceptionCause MAPPED_RESPONSE

An exception was thrown during the processing of response mapped from `exception mappers`.

### Method Detail

#### values

    public static RequestEvent.ExceptionCause[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RequestEvent.ExceptionCause c : RequestEvent.ExceptionCause.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RequestEvent.ExceptionCause valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null